Go Back   HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials > ISPConfig 3 > General

Do you like HowtoForge? Please consider supporting us by becoming a subscriber.
Reply
 
Thread Tools Display Modes
  #1  
Old 16th April 2010, 15:30
SamTzu SamTzu is offline
HowtoForge Supporter
 
Join Date: Apr 2007
Location: Helsinki
Posts: 429
Thanks: 33
Thanked 56 Times in 39 Posts
Send a message via Skype™ to SamTzu
Default ClamAV 0.94 End of Life!

We have serious problem with our lenny2 servers.
There seem to be no upgrade possible at the moment.

Cat /etc/apt/sources.list
Quote:
deb http://ftp.debian.org/debian lenny main contrib
deb http://security.debian.org lenny/updates main contrib
LibClamAV Error: cli_hex2str(): Malformed hexstring: This ClamAV version has reached End of Life! Please upgrade to version 0.95 or later. For more information see www.clamav.net/eol-clamav-094 and www.clamav.net/download (length: 169)
LibClamAV Error: Problem parsing database at line 742
LibClamAV Error: Can't load daily.ndb: Malformed database
LibClamAV Error: cli_tgzload: Can't load daily.ndb
LibClamAV Error: Can't load /var/lib/clamav/daily.cld: Malformed database
ERROR: Malformed database
__________________

Sami Mattila
Internet-Content

Telephone:
00358942833310
Email: firstname.lastname@internet-content.org
Shop: http://shop.internet-content.net
Site: http://www.internet-content.net
Blog: http://www.internet-content.net/en/blog
FB: https://www.facebook.com/internetcontent

Reply With Quote
Sponsored Links
  #2  
Old 16th April 2010, 15:35
Hans Hans is offline
Moderator
 
Join Date: Dec 2005
Location: Montfoort, The Netherlands
Posts: 2,256
Thanks: 213
Thanked 648 Times in 294 Posts
Exclamation

Hi I have the same problem here.
Same errors as you have:

/etc/init.d/clamav-daemon start
Starting ClamAV daemon: clamd LibClamAV Warning: ******************************* ****************************
LibClamAV Warning: *** This version of the ClamAV engine is outdated. ***
LibClamAV Warning: *** DON'T PANIC! Read http://www.clamav.net/support/faq ***
LibClamAV Warning: ************************************************** *********
LibClamAV Error: cli_hex2str(): Malformed hexstring: This ClamAV version has rea ched End of Life! Please upgrade to version 0.95 or later. For more information see www.clamav.net/eol-clamav-094 and www.clamav.net/download (length: 169)
LibClamAV Error: Problem parsing database at line 742
LibClamAV Error: Can't load daily.ndb: Malformed database
LibClamAV Error: cli_tgzload: Can't load daily.ndb
LibClamAV Error: Can't load /var/lib/clamav/daily.cld: Malformed database
ERROR: Malformed database
__________________
Hans

MrHostman | Master in managed hosting

Last edited by Hans; 16th April 2010 at 16:54.
Reply With Quote
  #3  
Old 16th April 2010, 15:51
till till is online now
Super Moderator
 
Join Date: Apr 2005
Location: Lneburg, Germany
Posts: 36,389
Thanks: 833
Thanked 5,486 Times in 4,318 Posts
Default

The clamav packages are from debian and not ispconfig. As this is a general debian problem, I guess they will or have released already updates for it. So make sure that you installed all debian updates. As alternative you can e.g. use the clamav packages from the debian volatile project:

http://www.debian.org/volatile/

The clamav from the volatile project is 0.95.3.
__________________
Till Brehm
--
Get ISPConfig support and the ISPConfig 3 manual from ispconfig.org.
Reply With Quote
  #4  
Old 16th April 2010, 16:05
till till is online now
Super Moderator
 
Join Date: Apr 2005
Location: Lneburg, Germany
Posts: 36,389
Thanks: 833
Thanked 5,486 Times in 4,318 Posts
Default

Voltron81 has alos posted here the same solution with a short link to some more detailed instructions:

http://www.howtoforge.com/forums/showthread.php?t=45013
__________________
Till Brehm
--
Get ISPConfig support and the ISPConfig 3 manual from ispconfig.org.
Reply With Quote
The Following User Says Thank You to till For This Useful Post:
Hans (16th April 2010)
  #5  
Old 16th April 2010, 16:06
SamTzu SamTzu is offline
HowtoForge Supporter
 
Join Date: Apr 2007
Location: Helsinki
Posts: 429
Thanks: 33
Thanked 56 Times in 39 Posts
Send a message via Skype™ to SamTzu
Default

apt-get update and apt-get dist-upgrade do not update Clam.
I'm trying a testserver upgrade to squeeze but so far it's not going well.
__________________

Sami Mattila
Internet-Content

Telephone:
00358942833310
Email: firstname.lastname@internet-content.org
Shop: http://shop.internet-content.net
Site: http://www.internet-content.net
Blog: http://www.internet-content.net/en/blog
FB: https://www.facebook.com/internetcontent

Reply With Quote
  #6  
Old 16th April 2010, 16:10
till till is online now
Super Moderator
 
Join Date: Apr 2005
Location: Lneburg, Germany
Posts: 36,389
Thanks: 833
Thanked 5,486 Times in 4,318 Posts
Default

Quote:
apt-get update and apt-get dist-upgrade do not update Clam.
Use the volatile repository as I suggested.
__________________
Till Brehm
--
Get ISPConfig support and the ISPConfig 3 manual from ispconfig.org.
Reply With Quote
  #7  
Old 16th April 2010, 16:12
SamTzu SamTzu is offline
HowtoForge Supporter
 
Join Date: Apr 2007
Location: Helsinki
Posts: 429
Thanks: 33
Thanked 56 Times in 39 Posts
Send a message via Skype™ to SamTzu
Default Debian ClamAV End of Life 0.94

This seems to work...
Add Volatile repository to APT list.
I did it by editing the sources.list with vi and these commands i ZZ
Clam install wants you to press q button.
Quote:
vi /etc/apt/sources.list

deb http://volatile.debian.org/debian-volatile lenny/volatile main contrib non-free
<-- This line needs to be in /etc/apt/sources.list file!!!

apt-get update
apt-get upgrade
/etc/init.d/amavis restart
postsuper -r ALL
__________________

Sami Mattila
Internet-Content

Telephone:
00358942833310
Email: firstname.lastname@internet-content.org
Shop: http://shop.internet-content.net
Site: http://www.internet-content.net
Blog: http://www.internet-content.net/en/blog
FB: https://www.facebook.com/internetcontent


Last edited by SamTzu; 17th April 2010 at 20:37.
Reply With Quote
The Following User Says Thank You to SamTzu For This Useful Post:
Hans (16th April 2010)
  #8  
Old 16th April 2010, 18:51
multilan multilan is offline
Junior Member
 
Join Date: Apr 2010
Posts: 5
Thanks: 0
Thanked 0 Times in 0 Posts
Default Same problem with Fedora Core10

I have the same problem on Fedora Core 10. I'm not sure where to get distribution packages as I ran "yum update" for all packages but the ClamAV ones were not updated. Any tips for FC10 specifically?

Thanks
Reply With Quote
  #9  
Old 16th April 2010, 20:27
edge edge is online now
Moderator
 
Join Date: Dec 2005
Location: The Netherlands
Posts: 2,036
Thanks: 268
Thanked 153 Times in 133 Posts
Default

Quote:
Originally Posted by SamTzu View Post
This seems to work...
Add Volatile repository to APT list.
I did it by editing the sources.list with vi and these commands i ZZ
Clam install wants you to press q button.

deb http://volatile.debian.org/debian-volatile lenny/volatile main contrib non-free

apt-get update
apt-get upgrade
/etc/init.d/amavis restart
postsuper -r ALL
Not working for me :-(
All emails are still marked with "This version of the ClamAV engine is outdated" and NOT delivered to the user.

How do I stop messages being scanned by "amavis"?

I've already done the
Quote:
"Change those lines in /etc/amavis/conf.d/15-content_filter_mode:
@bypass_virus_checks_maps = (
\%bypass_virus_checks, \@bypass_virus_checks_acl, \$bypass_virus_checks_re);

to
# @bypass_virus_checks_maps = (
# \%bypass_virus_checks, \@bypass_virus_checks_acl, \$bypass_virus_checks_re);"
thing, but still with no luck :-
__________________
Never execute code written on a Friday or a Monday.

Last edited by edge; 16th April 2010 at 20:31.
Reply With Quote
  #10  
Old 16th April 2010, 20:48
Hans Hans is offline
Moderator
 
Join Date: Dec 2005
Location: Montfoort, The Netherlands
Posts: 2,256
Thanks: 213
Thanked 648 Times in 294 Posts
 
Default

@Edge,
You must do this:

add the line deb http://volatile.debian.org/debian-volatile lenny/volatile main contrib non-free to your /etc/apt/sources.list

After that execute:

apt-get update
apt-get install clamav
apt-get upgrade
/etc/init.d/amavis restart
postsuper -r ALL
__________________
Hans

MrHostman | Master in managed hosting
Reply With Quote
The Following User Says Thank You to Hans For This Useful Post:
edge (16th April 2010)
Reply

Bookmarks

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Sql ledger using forum.. yurtboy1 General 19 25th December 2010 21:08
Amavis end of life problem @ debian 5 voltron81 Installation/Configuration 4 16th April 2010 16:10
ISPConfig 2.x End Of Life? rezilient General 2 27th January 2009 15:38
Clamav 0.94 is out frankihk Feature Requests 6 1st October 2008 14:34
UebiMiau login puntjuh Installation/Configuration 13 14th March 2006 18:24


All times are GMT +2. The time now is 15:50.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.